[banquepopulaire] do not raise BrowserIncorrectPassword with legacy passwords

It still works for some people, so instead of raising an error, we wait
for the website to crash then we raise a BrowserIncorrectPassword if
it uses a legacy password.
Status Job ID Name Coverage
  Build
canceled #20177
build:2.7

canceled #20178
build:3

 
  Test
canceled #20180
allowed to fail
lint:2.7

canceled #20184
allowed to fail
lint:3

canceled #20179
pyflakes:2.7

canceled #20183
pyflakes:3

canceled #20181
unittests:2.7

canceled #20185
unittests:3

canceled #20182
allowed to fail
unittests-modules:2.7

canceled #20186
allowed to fail
unittests-modules:3

 
  Deploy
canceled #20187
doc:2.7

canceled #20188
doc:3